Update Card Limits(GQL)

Note: All the cards API's have the endpoint: /graphql

This API is used to update the limits of an existing card, such as transaction limits or daily withdrawal limits.

Behaviour :A successful response from this API indicates that the card limits were successfully updated based on the provided input.

FunctionWebhook
Update Card LimitsUpdate Card Limits
Body Params

The Following are the details on the GraphQL fields :

ParameterDescriptionMandatoryData TypeExample
idThe unique identifier associated with the card.YesString123
expiryDateThe date and time when the velocity rule will expire, formatted as YYYY-MM-DD HH:MM:SS.YesString2024-06-20 16:34:58
controlsSpecifies the types of transaction controls to be applied, such as PURCHASE.YesArray["PURCHASE"]
timePeriodThe duration over which the velocity rule is enforced, typically defined in the unit specified by timeUnit.YesInteger1
typeSpecifies the type of velocity rule, such as AMOUNT.YesStringAMOUNT
valueThe maximum value or limit for the velocity rule, such as the maximum transaction amount.YesNumber80
timeUnitSpecifies the unit of time used for the velocity rule, such as SECONDS.YesStringSECONDS

Mandatory rules

ControlTime unitMandatory
PURCHASEMONTHSYes
PURCHASEWEEKSYes
PURCHASEDAYSYes
PURCHASESECONDSNo
WITHDRAWALMONTHSYes
WITHDRAWALWEEKSYes
WITHDRAWALDAYSYes
WITHDRAWALSECONDSYes
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!